[pypy-issue] Issue #2564: pypy3-5.7.1 libressl support (pypy/pypy)

Alessandro Barbieri issues-reply at bitbucket.org
Sun May 28 05:49:02 EDT 2017


New issue 2564: pypy3-5.7.1 libressl support
https://bitbucket.org/pypy/pypy/issues/2564/pypy3-571-libressl-support

Alessandro Barbieri:

On gentoo with libressl-2.5* (can't test with earlier sorry), pypy3-5.7.1 fails to build
see
https://bugs.gentoo.org/show_bug.cgi?id=619648

this is the error
```
#!shell

>>> Install pypy3-5.7.1-r2 into /var/tmp/portage/dev-python/pypy3-5.7.1-r2/image/category/dev-python
 * Installing PyPy ...
 * PT_PAX marking -m /var/tmp/portage/dev-python/pypy3-5.7.1-r2/image/usr/lib64/pypy3/pypy3-c with paxctl
 * PT_PAX marking -m /var/tmp/portage/dev-python/pypy3-5.7.1-r2/image/usr/lib64/pypy3/pypy3-c with paxctl-ng
 * PT_PAX marking -m /var/tmp/portage/dev-python/pypy3-5.7.1-r2/image/usr/lib64/pypy3/libpypy3-c.so with paxctl
 * PT_PAX marking -m /var/tmp/portage/dev-python/pypy3-5.7.1-r2/image/usr/lib64/pypy3/libpypy3-c.so with paxctl-ng
 * XATTR_PAX marking -m /var/tmp/portage/dev-python/pypy3-5.7.1-r2/image/usr/lib64/pypy3/pypy3-c with paxctl-ng
 * XATTR_PAX marking -me /var/tmp/portage/dev-python/pypy3-5.7.1-r2/image/usr/lib64/pypy3/pypy3-c with setfattr
 * Failed to set XATTR_PAX markings -me /var/tmp/portage/dev-python/pypy3-5.7.1-r2/image/usr/lib64/pypy3/pypy3-c.
 * XATTR_PAX marking -me /var/tmp/portage/dev-python/pypy3-5.7.1-r2/image/usr/lib64/pypy3/libpypy3-c.so with paxctl-ng
 * XATTR_PAX marking -me /var/tmp/portage/dev-python/pypy3-5.7.1-r2/image/usr/lib64/pypy3/libpypy3-c.so with setfattr
 * Failed to set XATTR_PAX markings -me /var/tmp/portage/dev-python/pypy3-5.7.1-r2/image/usr/lib64/pypy3/libpypy3-c.so.
 * Generating caches and byte-compiling ...
_lzma_cffi.c: In function ‘_cffi_checkfld_typedef_lzma_stream’:
_lzma_cffi.c:828:29: warning: initialization from incompatible pointer type [-Wincompatible-pointer-types]
   { lzma_allocator * *tmp = &p->allocator; (void)tmp; }


In file included from /usr/include/openssl/x509.h:595:0,
                 from /usr/include/openssl/engine.h:96,
                 from _pypy_openssl.c:518:
_pypy_openssl.c:2749:19: error: expected identifier or ‘(’ before numeric constant
 static const long X509_V_ERR_HOSTNAME_MISMATCH = 0;
                   ^
_pypy_openssl.c:2750:19: error: expected identifier or ‘(’ before numeric constant
 static const long X509_V_ERR_EMAIL_MISMATCH = 0;
                   ^
_pypy_openssl.c:2751:19: error: expected identifier or ‘(’ before numeric constant
 static const long X509_V_ERR_IP_ADDRESS_MISMATCH = 0;
                   ^
Traceback (most recent call last):
  File "/var/tmp/portage/dev-python/pypy3-5.7.1-r2/image/usr/lib64/pypy3/lib-python/3/distutils/unixccompiler.py", line 143, in _compile
    extra_postargs)
  File "/var/tmp/portage/dev-python/pypy3-5.7.1-r2/image/usr/lib64/pypy3/lib-python/3/distutils/ccompiler.py", line 909, in spawn
    spawn(cmd, dry_run=self.dry_run)
  File "/var/tmp/portage/dev-python/pypy3-5.7.1-r2/image/usr/lib64/pypy3/lib-python/3/distutils/spawn.py", line 36, in spawn
    _spawn_posix(cmd, search_path, dry_run=dry_run)
  File "/var/tmp/portage/dev-python/pypy3-5.7.1-r2/image/usr/lib64/pypy3/lib-python/3/distutils/spawn.py", line 159, in _spawn_posix
    % (cmd, exit_status))
distutils.errors.DistutilsExecError: command 'gcc' failed with exit status 1

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "_ssl_build.py", line 53, in <module>
    ffi.compile()
  File "/var/tmp/portage/dev-python/pypy3-5.7.1-r2/image/usr/lib64/pypy3/lib_pypy/cffi/api.py", line 684, in compile
    compiler_verbose=verbose, debug=debug, **kwds)
  File "/var/tmp/portage/dev-python/pypy3-5.7.1-r2/image/usr/lib64/pypy3/lib_pypy/cffi/recompiler.py", line 1484, in recompile
    compiler_verbose, debug)
  File "/var/tmp/portage/dev-python/pypy3-5.7.1-r2/image/usr/lib64/pypy3/lib_pypy/cffi/ffiplatform.py", line 20, in compile
    outputfilename = _build(tmpdir, ext, compiler_verbose, debug)
  File "/var/tmp/portage/dev-python/pypy3-5.7.1-r2/image/usr/lib64/pypy3/lib_pypy/cffi/ffiplatform.py", line 56, in _build
    raise VerificationError('%s: %s' % (e.__class__.__name__, e))
cffi.error.VerificationError: CompileError: command 'gcc' failed with exit status 1
 * ERROR: dev-python/pypy3-5.7.1-r2::gentoo failed (install phase):
 *   Failed to build CFFI bindings for ssl
 *
 * Call stack:
 *     ebuild.sh, line 115:  Called src_install
 *   environment, line 4241:  Called die
 * The specific snippet of code:
 *           "${PYTHON}" "_${t}_build.py" || die "Failed to build CFFI bindings for ${t}";
```




More information about the pypy-issue mailing list